
%
% optimizes gb params
%

global x

x0=x;

%x0=[10.0;    3.0;     10.0;     1.0;     1.0;];

% nonlinear least square

options = optimset('Display', 'iter', 'MaxFunEvals', 50000, ...
    'MaxIter', 100, 'TolFun', 1.0e-10, 'TolX', 1.0e-10, 'LargeScale', 'off', ...
    'DiffMaxChange', 1e-1, 'DiffMinChange', 1e-8);

orig_well_specs = ortho_well_analyser;
%[x,fval,exitflag,output,grad] = fminunc(@well_gb_tinker_err, x0, options, orig_well_specs)

% simplex
[x,fval] = fminsearch(@well_gb_tinker_err, x0, options, orig_well_specs)

%lb = [-inf; -inf; 0; 0; 0; 0; 0; 0];
%ub = [inf; inf; inf; inf; inf; inf; inf; inf];
%[x,resnorm,residual,exitflag,output] = lsqnonlin(@well_gb_tinker_err_vec,x0,lb,ub,options, ...
%   orig_well_specs)
