
%
% casts the parameter tuple to re2 variables
%

function [E0, sigma_c, a1, b1, c1, a2, b2, c2, ea1, eb1, ec1, ea2, eb2, ec2] = ...
    x_to_vars(ptup);

% shared between heterogeneous and homogeneous interactions
E0 = ptup.E0;
sigma_c = ptup.x(1);
a1 = ptup.x(2);
b1 = ptup.x(3);
c1 = ptup.x(4);
ea1 = ptup.x(5);
eb1 = ptup.x(6);
ec1 = ptup.x(7);

if (ptup.hetero==0)
    a2 = ptup.x(2);
    b2 = ptup.x(3);
    c2 = ptup.x(4);
    ea2 = ptup.x(5);
    eb2 = ptup.x(6);
    ec2 = ptup.x(7);
else
    a2 = ptup.x(8);
    b2 = ptup.x(9);
    c2 = ptup.x(10);
    ea2 = ptup.x(11);
    eb2 = ptup.x(12);
    ec2 = ptup.x(13);
end;
