
%
% cost function for further alignment in case of
% planar degeneracy
%

function [val, n_xyz] = axis_aligner_cost_func(ang, xyz, rot_mat, axis_a, axis_b)

% consts
pow = 16;

rot = expm(ang.*rot_mat);
n_xyz = (rot*xyz(:,:)')';
val = sum(n_xyz(:,axis_a).^pow + n_xyz(:,axis_a).^pow);

