
%
% sum of radii of two ellipsoid for a given ortho config.
%

function [delta] = get_ortho_delta(ortho_mode, a1, b1, c1, a2, b2, c2)

switch ortho_mode
    case 1
        delta = a1 + a2;
    case 2
        delta = b1 + b2;
    case 3
        delta = c1 + c2;
    case 4
        delta = a1 + b2;
    case 5
        delta = b1 + a2;
    case 6
        delta = c1 + c2;
    case 7
        delta = a1 + c2;
    case 8
        delta = b1 + b2;
    case 9
        delta = c1 + a2;
    case 10
        delta = a1 + c2;
    case 11
        delta = b1 + a2;
    case 12
        delta = c1 + b2;
    case 13
        delta = a1 + a2;
    case 14
        delta = b1 + c2;
    case 15
        delta = c1 + b2;
    case 16
        delta = a1 + b2;
    case 17
        delta = b1 + c2;
    case 18
        delta = c1 + a2;
    otherwise
        delta = 0;
end;